#
# spec file for package rubygem-sinatra
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-sinatra
Version:        1.4.6
Release:        2.1
%define mod_name sinatra
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://www.sinatrarb.com/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Classy web-development dressed in a DSL
License:        MIT
Group:          Development/Languages/Ruby

%description
Sinatra is a DSL for quickly creating web applications in Ruby with minimal
effort.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGES LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Mar 24 2015 coolo@suse.com
- updated to version 1.4.6
* Mon Sep 29 2014 mrueckert@suse.de
- regenerate with new template
* Sun May 18 2014 coolo@suse.com
- updated to version 1.4.5
  * Improve tests and documentation. (Seiichi Yonezawa, Mike Gehard, Andrew
    Deitrick, Matthew Nicholas Bradley, GoGo tanaka, Carlos Lazo, Shim Tw,
    kyoendo, Roman Kuznietsov, Stanislav Chistenko, Ryunosuke SATO, Ben Lewis,
    wuleicanada, Patricio Mac Adden, Thais Camilo)
  * Fix Ruby warnings. (Vipul A M, Piotr Szotkowski)
  * Fix template cache memory leak. (Scott Holden)
  * Work around UTF-8 bug in JRuby. (namusyaka)
  * Don't set charset for JSON mime-type (Sebastian Borrazas)
  * Fix bug in request.accept? that might trigger a NoMethodError. (sbonami)
* Thu Oct 31 2013 coolo@suse.com
- updated to version 1.4.4
  * Allow setting layout to false in specifically for a singe rendering engine.
    (Matt Wildig)
  * Allow using wildcard in argument passed to `request.accept?`. (wilkie)
  * Treat missing Accept header like wild card. (Patricio Mac Adden)
  * Improve tests and documentation. (Darío Javier Cravero, Armen P., michelc,
    Patricio Mac Adden, Matt Wildig, Vipul A M, utenmiki, George Timoschenko,
    Diogo Scudelletti)
  * Fix Ruby warnings. (Vipul A M, Patricio Mac Adden)
  * Improve self-hosted server started by `run!` method or in classic mode.
    (Tobias Bühlmann)
  * Reduce objects allocated per request. (Vipul A M)
  * Drop unused, undocumented options hash from Sinatra.new. (George Timoschenko)
  * Keep Content-Length header when response is a `Rack::File` or when streaming.
    (Patricio Mac Adden, George Timoschenko)
  * Use reel if it's the only server available besides webrick. (Tobias Bühlmann)
  * Add `disable :traps` so setting up signal traps for self hosted server can be
    skipped. (George Timoschenko)
  * The `status` option passed to `send_file` may now be a string. (George
    Timoschenko)
  * Reduce file size of dev mode images for 404 and 500 pages. (Francis Go)
* Sat Jun  8 2013 coolo@suse.com
- updated to version 1.4.3
  * Running a Sinatra file directly or via `run!` it will now ignore an
    empty $PORT env variable. (noxqsgit)
  * Improve documentation. (burningTyger, Patricio Mac Adden,
    Konstantin Haase, Diogo Scudelletti, Dominic Imhof)
  * Expose matched pattern as env["sinatra.route"]. (Aman Gupta)
  * Fix warning on Ruby 2.0. (Craig Little)
  * Improve running subset of tests in isolation. (Viliam Pucik)
  * Reorder private/public methods. (Patricio Mac Adden)
  * Loosen version dependency for rack, so it runs with Rails 3.2.
    (Konstantin Haase)
  * Request#accept? now returns true instead of a truthy value. (Alan Harris)
* Mon May 13 2013 coolo@suse.com
- updated to version 1.4.2
  * Fix parsing error for case where both the pattern and the captured part
    contain a dot. (Florian Hanke, Konstantin Haase)
  * Missing Accept header is treated like */*. (Greg Denton)
  * Improve documentation. (Patricio Mac Adden, Joe Bottigliero)
  = 1.4.1 / 2013-03-15
  * Make delegated methods available in config.ru (Konstantin Haase)
  = 1.4.0 / 2013-03-15
  * Add support for LINK and UNLINK requests. (Konstantin Haase)
  * Add support for Yajl templates. (Jamie Hodge)
  * Add support for Rabl templates. (Jesse Cooke)
  * Add support for Wlang templates. (Bernard Lambeau)
  * Add support for Stylus templates. (Juan David Pastas, Konstantin Haase)
  * You can now pass a block to ERb, Haml, Slim, Liquid and Wlang templates,
    which will be used when calling `yield` in the template. (Alexey Muranov)
  * When running in classic mode, no longer include Sinatra::Delegator in Object,
    instead extend the main object only. (Konstantin Haase)
  * Improved route parsing: "/:name.?:format?" with "/foo.png" now matches to
    {name: "foo", format: "png"} instead of {name: "foo.png"}. (Florian Hanke)
  * Add :status option support to send_file. (Konstantin Haase)
  * The `provides` condition now respects an earlier set content type.
    (Konstantin Haase)
  * Exception#code is only used when :use_code is enabled. Moreover, it will
    be ignored if the value is not between 400 and 599. You should use
    Exception#http_status instead. (Konstantin Haase)
  * Status, headers and body will be set correctly in an after filter when using
    halt in a before filter or route. (Konstantin Haase)
* Tue Jan 29 2013 coolo@suse.com
- updated to version 1.3.4
  * Improve documentation. (Kashyap, Stanislav Chistenko, Konstantin Haase,
    ymmtmsys, Anurag Priyam)
  * Adjustments to template system to work with Tilt edge. (Konstantin Haase)
  * Fix streaming with latest Rack release. (Konstantin Haase)
  * Fix default content type for Sinatra::Response with latest Rack release.
    (Konstantin Haase)
  * Fix regression where + was no longer treated like space. (Ross Boucher)
  * Status, headers and body will be set correctly in an after filter when using
  halt in a before filter or route. (Konstantin Haase)
* Mon Aug 27 2012 coolo@suse.com
- updated to version 1.3.3
* Wed Aug  1 2012 coolo@suse.com
- updated to version 1.3.2
* Thu Oct  6 2011 fcastelli@suse.com
- Update to version 1.3.1
* Mon Aug 22 2011 fcastelli@novell.com
- Update to version 1.2.6
- Fix building.
* Fri Mar  4 2011 fcastelli@novell.com
- Updated to version 1.2
* Wed Dec  1 2010 saschpe@gmx.de
- update to version 1.1
  - allows to render 'slim' templates
  - Tilt as a seperate dependency
  - translation updates
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 1.0
  Sinatra reached 1.0, breaking backward compatibility for the
  first time in two years.
  For more see http://www.sinatrarb.com/one-oh-faq and
  /usr/lib*/ruby/gems/1.8/gems/sinatra-1.0/CHANGES
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Fri Dec 25 2009 prusnak@suse.cz
- updated to 0.9.4
